Too many files produced for the OS to handle, during iteration

2013-07-19 08:03 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 17116

Description

The iteration is working, but I get an error after about 100 iterations:

===

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/sextante/core/GeoAlgorithm.py", line 147, in

execute

  File "/usr/share/qgis/python/plugins/sextante/algs/mmqgisx/MMQGISXAlgorithms.py",

line 598, in processAlgorithm

AttributeError: 'NoneType' object has no attribute 'pendingFields'===

triyng to read sextante logs brings a different error:

===

Errore durante l'esecuzione di codice Python:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/sextante/SextantePlugin.py", line 142, in

openHistory

  File "/usr/share/qgis/python/plugins/sextante/gui/HistoryDialog.py", line 57, in

init

  File "/usr/share/qgis/python/plugins/sextante/gui/HistoryDialog.py", line 65, in

fillTree

  File "/usr/share/qgis/python/plugins/sextante/core/SextanteLog.py", line 90, in

getLogEntries

  File "/usr/share/qgis/python/plugins/sextante/core/SextanteLog.py", line 256, in tail

  File "/usr/share/qgis/python/plugins/sextante/core/SextanteLog.py", line 163, in

init

  File "/usr/lib/python2.7/codecs.py", line 881, in open

IOError: [Errno 24] Troppi file aperti: u'/home/paolo/.qgis2//sextante/sextante_qgis.log'===

Obviously I hit the unfamous max number of files issue, so not much can be done at

the sextante level. A couple of suggestions though:

    -  the error should be better handled

    -  when the output produces many files, a warning "Please load files after the analysis is finished", and an automatic deactivation of the

"Open output file..." option would help a lot.

History

#1 - 2014-10-04 12:08 PM - Giovanni Manghi

- Project changed from 78 to QGIS Application
- Category deleted (63)

- Affected QGIS version set to 2.4.0

- Crashes QGIS or corrupts data set to No

#2 - 2014-10-04 12:09 PM - Giovanni Manghi

- Category set to Processing/Core

#3 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-02-24 01:42 PM - Paolo Cavallini

- Description updated

- Assignee deleted (Victor Olaya)

#5 - 2018-02-24 01:45 PM - Giovanni Manghi

- Status changed from Open to Feedback

Still true on QGIS 3?

#6 - 2018-08-16 10:30 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.

#7 - 2018-08-25 10:45 AM - Paolo Cavallini

Confirmed, it works with >6k iterations in QGIS 3.2
